curl --request GET \
--url https://api.getcargo.io/v1/orchestration/workflows/{uuid} \
--header 'Authorization: Bearer <token>'{
"workflow": {
"uuid": "<string>",
"workspaceUuid": "<string>",
"nodes": [
{
"uuid": "<string>",
"slug": "<string>",
"nodes": "<array>",
"isArchived": true,
"kind": "<string>",
"actionSlug": "<string>",
"name": "<string>",
"description": "<string>"
}
],
"createdAt": "<string>",
"updatedAt": "<string>",
"deletedAt": "<string>",
"playUuid": "<string>",
"toolUuid": "<string>",
"folderUuid": "<string>",
"lastBatch": {
"uuid": "<string>",
"status": "pending",
"runsStatus": "healthy",
"errorMessage": "<string>",
"createdAt": "<string>",
"finishedAt": "<string>"
},
"deployedRelease": {
"uuid": "<string>",
"userUuid": "<string>",
"description": "<string>",
"version": "<string>",
"nodes": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"config": {},
"childrenUuids": [
"<string>"
],
"fallbackOnFailure": true,
"position": {
"x": 123,
"y": 123
},
"kind": "native",
"actionSlug": "<string>",
"name": "<string>",
"description": "<string>",
"retry": {
"maximumAttempts": 123,
"initialInterval": 123,
"backoffCoefficient": 123
},
"fallbackChildUuid": "<string>"
}
],
"formFields": [
{
"slug": "<string>",
"name": "<string>",
"kind": "string",
"description": "<string>",
"isRequired": true
}
],
"templateSlug": "<string>",
"deployedAt": "<string>",
"createdAt": "<string>"
}
}
}Get a workflow by UUID
curl --request GET \
--url https://api.getcargo.io/v1/orchestration/workflows/{uuid} \
--header 'Authorization: Bearer <token>'{
"workflow": {
"uuid": "<string>",
"workspaceUuid": "<string>",
"nodes": [
{
"uuid": "<string>",
"slug": "<string>",
"nodes": "<array>",
"isArchived": true,
"kind": "<string>",
"actionSlug": "<string>",
"name": "<string>",
"description": "<string>"
}
],
"createdAt": "<string>",
"updatedAt": "<string>",
"deletedAt": "<string>",
"playUuid": "<string>",
"toolUuid": "<string>",
"folderUuid": "<string>",
"lastBatch": {
"uuid": "<string>",
"status": "pending",
"runsStatus": "healthy",
"errorMessage": "<string>",
"createdAt": "<string>",
"finishedAt": "<string>"
},
"deployedRelease": {
"uuid": "<string>",
"userUuid": "<string>",
"description": "<string>",
"version": "<string>",
"nodes": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"config": {},
"childrenUuids": [
"<string>"
],
"fallbackOnFailure": true,
"position": {
"x": 123,
"y": 123
},
"kind": "native",
"actionSlug": "<string>",
"name": "<string>",
"description": "<string>",
"retry": {
"maximumAttempts": 123,
"initialInterval": 123,
"backoffCoefficient": 123
},
"fallbackChildUuid": "<string>"
}
],
"formFields": [
{
"slug": "<string>",
"name": "<string>",
"kind": "string",
"description": "<string>",
"isRequired": true
}
],
"templateSlug": "<string>",
"deployedAt": "<string>",
"createdAt": "<string>"
}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Workflow identifier.
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Successful response
Workflow details.
Show child attributes
Was this page helpful?